---
title: ValidityState.stepMismatch
slug: Web/API/ValidityState/stepMismatch
tags:
  - API
  - Constraint Validation API
  - DOM
  - Property
  - Reference
---
<p>The read-only <strong><code>stepMismatch</code></strong> property of a <strong><code><a href="/en-US/docs/Web/API/ValidityState">ValidityState</a></code></strong> object indicates if the value of an {{HTMLElement("input")}}, after having been edited by the user, does not conform to the constraints set by the element's <code>step</code> attribute.</p>

<p>If the field is numeric in nature, including the {{HTMLElement("input/date", "date")}}, {{HTMLElement("input/month", "month")}}, {{HTMLElement("input/week", "week")}}, {{HTMLElement("input/time", "time")}}, {{HTMLElement("input/datetime-local", "datetime-local")}}, {{HTMLElement("input/number", "number")}} and {{HTMLElement("input/range", "range")}} types and the step value is not <code>any</code>, if the value don't doesn't conform to the constraints set by the <code><a href="/en-US/docs/Web/HTML/Attributes/step">step</a></code> and <code><a href="/en-US/docs/Web/HTML/Attributes/min">min</a></code> values, then <code>stepMismatch</code> will be true. If the remainder of the form control's value less the <code><a href="/en-US/docs/Web/HTML/Attributes/min">min</a></code> value, divided by the <code><a href="/en-US/docs/Web/HTML/Attributes/step">step</a></code> value (which defaults to 1 if ommitted) is not zero, there is a mismatch. </p>

<p>Given the following:</p>

<pre class="brush: html notranslate">&lt;input type="number" min="20" max="40" step="2"/&gt;</pre>

<p>if <code>(value - min) % 2 != 0</code>, <code>stepMismatch</code> will be true.</p>

<p>If true, the element matches the {{cssxref(":invalid")}} and {{cssxref(":out-of-range")}} CSS pseudo-classes.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('HTML WHATWG', 'constraints.html#dom-validitystate-stepmismatch', 'ValidityState.stepMismatch') }}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{ SpecName('HTML5.1', 'sec-forms.html#dom-validitystate-stepmismatch', 'ValidityState.stepMismatch') }}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{ SpecName('HTML5 W3C', 'forms.html#dom-validitystate-stepmismatch', 'ValidityState.stepMismatch') }}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ValidityState.stepMismatch")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/HTML/HTML5/Constraint_validation">Constraint validation</a></li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Forms/Data_form_validation">Forms: Data form validation</a></li>
 <li><a href="/en-US/docs/Web/HTML/Attributes/step"><code>step</code> attribute</a></li>
</ul>
